#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

width = 4.5
height = 3.0

left = (34/72.27)/width
right = (width-4/72.27)/width
bottom = (28/72.27)/height
top = (height-7/72.27)/height

axbox = [ left, bottom, right-left, top-bottom ]

rc('font', family="serif", size=9)
figure(figsize=(width, height))

x1 = loadtxt("out1.dat")
x2 = loadtxt("out2.dat")
x3 = loadtxt("out3.dat")

# top plot (absolute values)
ax = axes(axbox)
l = plt.plot(x1[:,0], x1[:,1], "k", lw=.4, label="$a=1$, $b=0$",
             solid_joinstyle="round")
l[0].set_dashes([1.6,1])
plt.plot(x3[:,0], x3[:,1], "k", lw=.4, label="$a=1$, $b=1$",
         solid_joinstyle="round")
l = plt.plot(x2[:,0], x2[:,1], "k", lw=.4, label="$a=0$, $b=1$",
             solid_joinstyle="round")
l[0].set_dashes([2.6,1,.6,1])

ax.set_xlim((0,2*pi))
ax.set_ylim((-8,6))
ax.set_xlabel('$x$')
ax.set_ylabel('$u_{a,b}(1,x)$')

leg = legend(borderaxespad=1, loc=3)
leg.get_frame().set_lw(0.0)

savefig("../fig1.eps")
