#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

width = 4.5
height = 2.6

left = (34/72.27)/width
right = (width-12/72.27)/width
bottom = (28/72.27)/height
top = (height-7/72.27)/height

axbox = [ left, bottom, right-left, top-bottom ]

rc('font', family="serif", size=9)
figure(figsize=(width, height))
ax = axes(axbox)

x = loadtxt("out.dat")

plot(x[:,0], x[:,1], "k", lw=.6)
plot(x[:,0], x[:,2], "k", lw=.6)

for a in [ .193, .25 ]:
    plot([a,a], [0,1], "k-", lw=.8)


def find_best(tt, xx, t0, x0, tres=1.0, xres=1.0):
    i = argmin(((tt-t0)/tres)**2 + ((xx-x0)/xres)**2)
    return (tt[i],xx[i])

good_arrow = {'lw':0,
              'width':.3,
              'headwidth':1.8,
              'ec':None,
              'fc':'black',
              "shrink":0.08}

annotate("finite difference",
         find_best(x[:,0], x[:,1], 0.07, 7, .5/9.8, 8/5.4),
         (0.07, 7),
         arrowprops=good_arrow)
annotate("Galerkin",
         find_best(x[:,0], x[:,2], 0.38, 7, .5/9.8, 8/5.4),
         (0.30, 7),
         arrowprops=good_arrow)
ax.set_xlim((0,.5))
ax.set_ylim((0,8))
ax.set_xlabel(r"$\gamma\nu/\sigma^2$")
ax.set_ylabel(r"$|| u^\varepsilon(1,\cdot) - u_\gamma(1,\cdot) ||_2$")

savefig("../fig2.eps")
