#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

width = 4.5
height = 2.3

left = (34/72.27)/width
right = (width-10/72.27)/width
bottom = (24/72.27)/height
top = (height-20/72.27)/height

gap = 10/72.27 / width
dx = (right-left-2*gap) / 7
x1l = left + dx
x1r = x1l + gap
x2l = x1r + 2*dx
x2r = x2l + gap

axbox1 = [ left, bottom, x1l-left, top-bottom ]
axbox2 = [ x1r, bottom, x2l-x1r, top-bottom ]
axbox3 = [ x2r, bottom, right-x2r, top-bottom ]

rc('font', family="serif", size=9)
figure(figsize=(width, height))

ax = axes(axbox1)
x1 = loadtxt("outa1.dat")
x3 = loadtxt("outa3.dat")
plt.plot(x3[:,0], x3[:,1], "k", lw=.6, label="$a=1$, $b=1$")
l = plt.plot(x1[:,0], x1[:,1], "k", lw=.6, label="$a=1$, $b=0$")
l[0].set_dashes([1,1.5])
ax.set_xlim((0,0.2))
ax.set_ylim((0,40))
ax.set_xlabel('$t$')
ax.set_ylabel('$||u_{a,b}(t,\cdot)||_2$')
ax.set_xticks((0,0.2))
ax.set_title("$\delta=-1/4$")

ax = axes(axbox2)
x1 = loadtxt("outb1.dat")
x3 = loadtxt("outb3.dat")
plt.plot(x3[:,0], x3[:,1], "k", lw=.6, label="$a=1$, $b=1$")
l = plt.plot(x1[:,0], x1[:,1], "k", lw=.6, label="$a=1$, $b=0$")
l[0].set_dashes([1,1.5])
ax.set_xlim((0,0.4))
ax.set_ylim((0,40))
ax.set_xlabel('$t$')
ax.set_xticks((0.2,0.4))
ax.set_yticklabels("")
ax.set_title("$\delta=-1/8$")

ax = axes(axbox3)
x1 = loadtxt("outc1.dat")
x3 = loadtxt("outc3.dat")
plt.plot(x3[:,0], x3[:,1], "k", lw=.6, label="$a=1$, $b=1$")
l = plt.plot(x1[:,0], x1[:,1], "k", lw=.6, label="$a=1$, $b=0$")
l[0].set_dashes([1,1.5])
ax.set_xlim((0,0.8))
ax.set_ylim((0,40))
ax.set_xlabel('$t$')
ax.set_xticks((0.2,0.4,0.6,0.8))
ax.set_yticklabels("")
ax.set_title("$\delta=-1/16$")

leg = legend(borderaxespad=1, loc=2)
leg.get_frame().set_lw(0.0)

savefig("../fig3.eps")
