#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

from quantile import quantile

width = 4.5
height = 4.0

left = (42/72.27)/width
right = (width-4/72.27)/width
bottom = (28/72.27)/height
vmid1 = (16/72.27 + 1.6)/height
vmid2 = (16/72.27 + 1.6 + 8/72.27)/height
top = (height-7/72.27)/height

axbox1 = [ left, bottom, right-left, vmid1-bottom ]
axbox2 = [ left, vmid2, right-left, top-vmid2 ]

rc('font', family="serif", size=9)
figure(figsize=(width, height))

path = loadtxt("path.dat")
left = quantile(path[:,1], 0.05)
right = quantile(path[:,1], 0.95)

xmin = -2.6
xmax = 2.6

# top plot: approximated correction term
ax = axes(axbox2)
for l in open("best"):
    if l[0] == "#":
        continue
    l = l.strip()
    break
x = linspace(xmin, xmax, 200)
y = eval(l)
plot(x, y, "k-")
l = plot(x, -.5*sin(x)*cos(x), "k")
l[0].set_dashes([1,1.5])

tr = matplotlib.transforms.blended_transform_factory(ax.transData, ax.transAxes)
plot([left, left], [0,1], "k", lw=.5, transform=tr)
plot([right, right], [0,1], "k", lw=.5, transform=tr)

ax.set_xlim((xmin,xmax))
ax.set_ylim((-0.45,0.45))
ax.set_xticklabels("")
ax.set_ylabel("$p(u)$")

# bottom plot: histogram
ax = axes(axbox1)
hist(path[:,1], normed=True, bins=linspace(xmin,xmax,50),
     fc="0.8", lw=.1)

tr = matplotlib.transforms.blended_transform_factory(ax.transData, ax.transAxes)
plot([left, left], [0,1], "k", lw=.5, transform=tr)
plot([right, right], [0,1], "k", lw=.5, transform=tr)

ax.set_xlim((xmin,xmax))
ax.set_xlabel("$u$")
ax.set_ylabel(r"histogram of $u^\varepsilon(0.1, \cdot)$")

savefig("../fig4.eps")
