#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

width = 4.5
height = 3.2

left = (28/72.27)/width
right = (width-4/72.27)/width
bottom = (24/72.27)/height
top = (height-7/72.27)/height

xmid1 = (left*width + 0.7*(top-bottom)*height)/width
xmid2 = (xmid1*width + 32/72.27)/width

ymid1 = ((bottom*height + top*height)/2 - 4/72.27)/height
ymid2 = ((bottom*height + top*height)/2 + 4/72.27)/height

axbox1 = [ left, bottom, xmid1-left, top-bottom ]
axbox2 = [ xmid2, bottom, right-xmid2, ymid1-bottom ]
axbox3 = [ xmid2, ymid2, right-xmid2, top-ymid2 ]

x1 = loadtxt("out1.dat")
x2 = loadtxt("out2.dat")
x4 = loadtxt("out4.dat")

rc('font', family="serif", size=8)
figure(figsize=(width, height))

ax = axes(axbox1)
axis('equal')
plot(x1[:,2], x1[:,1], "-", solid_joinstyle="round", lw=.3, c=(.6,.6,.6))
plot(x2[:,2], x2[:,1], "k-", solid_joinstyle="round", lw=.3)
ax.set_xlabel("$u_2$")
ax.set_ylabel("$u_1$")
ax.set_xticks((-3,-2,-1,0))

ax = axes(axbox2)
plot(x2[:,0], x1[:,1]-x4[:,1], "k-", lw=.6, solid_joinstyle="round")
l = plot(x2[:,0], x1[:,1]-x2[:,1], "k", lw=.6, solid_joinstyle="round")
l[0].set_dashes([1,1.5])
ax.set_xlim((0, 2*pi))
ax.set_ylim((-1.4,1.4))
ax.set_xlabel("$t$")

ax = axes(axbox3)
plot(x2[:,0], x1[:,2]-x4[:,2], "k-", lw=.6, solid_joinstyle="round")
l = plot(x2[:,0], x1[:,2]-x2[:,2], "k", lw=.6, solid_joinstyle="round")
l[0].set_dashes([1,1.5])
ax.set_xlim((0, 2*pi))
ax.set_ylim((-1.4,1.4))
ax.set_xticklabels("")

savefig("../fig5.eps")
