#! /usr/bin/env python

from __future__ import division

import matplotlib as mpl
mpl.use("PS")
from pylab import *

width = 4.5
height = 4.5

left = (34/72.27)/width
right = (width-10/72.27)/width
bottom = (24/72.27)/height
top = (height-20/72.27)/height

gap = 10/72.27 / height
dy = (top - bottom - 3*gap) / 4

rc('font', family="serif", size=9)
figure(figsize=(width, height))

for k, log_d in enumerate(["-3.5", "-3.0", "-2.5", "-2.0"]):
    axbox = [ left, bottom+k*(dy+gap), right-left, dy ]

    ax = axes(axbox)
    x = loadtxt("res"+log_d+".dat")
    semilogx(x[:,0], x[:,1])
    semilogx(x[:,0], x[:,2])

    ax.set_ylim((0, 1.5))
    if k > 0:
        ax.set_xticklabels("")
    ax.set_ylabel("$\delta=10^{%s}$"%log_d)

savefig("../fig7.eps")
